CDATASectionImpl (Xerces2 Implementation)
Date: 2014-11-21

org.apache.xerces.dom

## Class CDATASectionImpl

- java.lang.Object
- - org.apache.xerces.dom.NodeImpl
  - - org.apache.xerces.dom.ChildNode
    - - org.apache.xerces.dom.CharacterDataImpl
      - - org.apache.xerces.dom.TextImpl
        - - org.apache.xerces.dom.CDATASectionImpl

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, org.w3c.dom.CDATASection, org.w3c.dom.CharacterData, org.w3c.dom.events.EventTarget, org.w3c.dom.Node, org.w3c.dom.NodeList, org.w3c.dom.Text
  Direct Known Subclasses:
    DeferredCDATASectionImpl

      public class CDATASectionImpl
      extends TextImpl
      implements org.w3c.dom.CDATASection

  XML provides the CDATA markup to allow a region of text in which most of the XML delimiter recognition does not take place. This is intended to ease the task of quoting XML fragments and other programmatic information in a document's text without needing to escape these special characters. It's primarily a convenience feature for those who are hand-editing XML.

  CDATASection is an Extended DOM feature, and is not used in HTML contexts.

  Within the DOM, CDATASections are treated essentially as Text blocks. Their distinct type is retained in order to allow us to properly recreate the XML syntax when we write them out.

  Reminder: CDATA IS NOT A COMPLETELY GENERAL SOLUTION; it can't quote its own end-of-block marking. If you need to write out a CDATA that contains the ]]> sequence, it's your responsibility to split that string over two successive CDATAs at that time.

  CDATA does not participate in Element.normalize() processing.

  Since:
    PR-DOM-Level-1-19980818.
  Version:
    $Id: CDATASectionImpl.java 447266 2006-09-18 05:57:49Z mrglavas $
  See Also:
    Serialized Form

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    - ### Fields inherited from class org.apache.xerces.dom.CharacterDataImpl

      `data`

    - ### Fields inherited from class org.apache.xerces.dom.ChildNode

      `nextSibling, previousSibling`

    - ### Fields inherited from class org.apache.xerces.dom.NodeImpl

      `DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDATASectionImpl(CoreDocumentImpl ownerDoc, java.lang.String data)` Factory constructor for creating a CDATA section.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getNodeName()` Returns the node name.
    `short` | `getNodeType()` A short integer indicating what type of node this is.

    - ### Methods inherited from class org.apache.xerces.dom.TextImpl

      `getWholeText, insertTextContent, isElementContentWhitespace, isIgnorableWhitespace, removeData, replaceData, replaceWholeText, setIgnorableWhitespace, setValues, splitText`

    - ### Methods inherited from class org.apache.xerces.dom.CharacterDataImpl

      `appendData, deleteData, getChildNodes, getData, getLength, getNodeValue, insertData, replaceData, setData, setNodeValue, setNodeValueInternal, setNodeValueInternal, substringData`

    - ### Methods inherited from class org.apache.xerces.dom.ChildNode

      `cloneNode, getNextSibling, getParentNode, getPreviousSibling`

    - ### Methods inherited from class org.apache.xerces.dom.NodeImpl

      `addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getAttributes, getBaseURI, getContainer, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNodeNumber, getOwnerDocument, getPrefix, getReadOnly, getTextContent, getUserData, getUserData, getUserDataRecord, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, item, lookupNamespaceURI, lookupPrefix, needsSyncChildren, normalize, removeChild, removeEventListener, replaceChild, setOwnerDocument, setPrefix, setReadOnly, setTextContent, setUserData, setUserData, synchronizeData, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.w3c.dom.Text

      `getWholeText, isElementContentWhitespace, replaceWholeText, splitText`

    - ### Methods inherited from interface org.w3c.dom.CharacterData

      `appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Constructor Detail

    - #### CDATASectionImpl

          public CDATASectionImpl(CoreDocumentImpl ownerDoc,
                          java.lang.String data)

      Factory constructor for creating a CDATA section.

  - ### Method Detail

    - #### getNodeType

          public short getNodeType()

      A short integer indicating what type of node this is. The named constants for this value are defined in the org.w3c.dom.Node interface.
      Specified by:
        `getNodeType` in interface `org.w3c.dom.Node`
      Overrides:
        `getNodeType` in class `TextImpl`

    - #### getNodeName

          public java.lang.String getNodeName()

      Returns the node name.
      Specified by:
        `getNodeName` in interface `org.w3c.dom.Node`
      Overrides:
        `getNodeName` in class `TextImpl`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.